-- CallCapture database version 3.0


CREATE DATABASE IF NOT EXISTS callcapture;

use callcapture;


--
-- Table structure for table `admin_alert`
--

CREATE TABLE IF NOT EXISTS `admin_alert` (
  `admin_alert_id` int(11) NOT NULL auto_increment,
  `ccserver_id` int(11) NOT NULL,
  `admin_alert_type_id` int(11) NOT NULL,
  `admin_alert_status` int(11) NOT NULL,
  `admin_alert_start_date` varchar(10) NOT NULL default '',
  `admin_alert_start_time` varchar(8) NOT NULL default '',
  `admin_alert_update_date` varchar(10) NOT NULL default '',
  `admin_alert_update_time` varchar(8) NOT NULL default '',
  `admin_alert_close_date` varchar(10) NOT NULL default '',
  `admin_alert_close_time` varchar(8) NOT NULL default '',
  PRIMARY KEY  (`admin_alert_id`),
  KEY `server_alert_idx` (`admin_alert_status`,`ccserver_id`,`admin_alert_type_id`),
  KEY `status_type_idx` (`admin_alert_status`,`admin_alert_type_id`),
  KEY `status_alert_idx` (`admin_alert_status`,`admin_alert_id`)
) Type=MyISAM;

--
-- Table structure for table `admin_alert_message`
--


CREATE TABLE IF NOT EXISTS `admin_alert_message` (
  `admin_alert_msg_id` int(11) NOT NULL auto_increment,
  `admin_alert_id` int(11) NOT NULL,
  `admin_alert_msg_date` varchar(10) NOT NULL default '',
  `admin_alert_msg_time` varchar(8) NOT NULL default '',
  `admin_alert_msg_medium` int(11) NOT NULL,
  `admin_alert_msg_recipients` varchar(255) NOT NULL default '',
  `admin_alert_msg_success` varchar(1) NOT NULL default '',
  PRIMARY KEY  (`admin_alert_msg_id`),
  KEY `admin_alert_id` (`admin_alert_id`),
  KEY `admin_alert_msg_date` (`admin_alert_msg_date`)
) Type=MyISAM;

--
-- Table structure for table `admin_alert_type`
--


CREATE TABLE IF NOT EXISTS `admin_alert_type` (
  `admin_alert_type_id` int(11) unsigned NOT NULL auto_increment,
  `admin_alert_type_code` int(11) NOT NULL,
  `admin_alert_type_desc` varchar(255) NOT NULL default '',
  `admin_alert_net_send_header` varchar(50) NOT NULL default '',
  `admin_alert_net_send_body` varchar(255) NOT NULL default '',
  `admin_alert_email_subject` varchar(100) NOT NULL default '',
  `admin_alert_email_body` varchar(255) NOT NULL default '',
  `admin_alert_type_severity` int(11) NOT NULL,
  PRIMARY KEY  (`admin_alert_type_id`),
  KEY `admin_alert_type_code` (`admin_alert_type_code`),
  KEY `admin_alert_type_id` (`admin_alert_type_id`)
) Type=MyISAM;


INSERT INTO `admin_alert_type` VALUES (1,1,'Recordings have stopped because of low disk space.','','','CallCapture Server %CALLCAPTURE_SERVER% NOT RECORDING!','This CallCapture system is not recording, because the disk space got below the minimum. Free some space and restart the system to get recordings working again.',3),(2,2,'The HD has gotten low enough that the admin wants to be warned of it.','','','CallCapture Server %CALLCAPTURE_SERVER% is low on disk space.','This CallCapture system is running low on disk space, and may soon stop recording because of it. Free some space to avoid loss of recordings.',1),(3,3,'The HD has gotten low enough that the system warns the admin, if the admin wouldn\'t otherwise be warned from his own settings.','','','CallCapture Server %CALLCAPTURE_SERVER% is low on disk space.','This CallCapture system is running low on disk space, and may soon stop recording because of it. Free some space to avoid loss of recordings.',1),(4,4,'A media volume got to be larger than its allowed maximum. Should only be possible through user interference.','','','CallCapture media volume error on CallCapture Server %CALLCAPTURE_SERVER%.','A CallCapture media volume was found to be larger than its maximum size. This can only happen if someone manually interferes. Review the media volumes for files that don\'t belong in them.',2),(5,5,'Fewer recordings than expected for a period of time were counted.','','','CallCapture recording count low on CallCapture Server %CALLCAPTURE_SERVER% .','CallCapture has recorded fewer calls than expected over the course of your configured times. You should verify that it is still recording properly.',1);


--
-- Table structure for table 'agent'
--

CREATE TABLE IF NOT EXISTS agent (
  `agent_id` int(11) unsigned NOT NULL auto_increment,
  `agent_uid` varchar(15) default NULL,
  `agent_pw` varchar(10) default NULL,
  `last_name` varchar(20) NOT NULL default '',
  `first_name` varchar(20) default NULL,
  `full_name` varchar(42) NOT NULL default '',
  `emp_ref` varchar(20) default NULL,
  `active` char(1) NOT NULL default 'Y',
  `agent_add_date` varchar(10) default '',
  `agent_add_time` varchar(8) default '',
  `agent_last_update_date` varchar(10) default '',
  `agent_last_update_time` varchar(8) default '',
  `agent_last_update_by_uid` int(11) default '0',
  `agent_delete_date` varchar(10) default '',
  `agent_delete_time` varchar(8) default '',
  PRIMARY KEY  (`agent_id`),
  KEY `active` (`active`),
  KEY `full_name` (`full_name`),
  KEY `agent_date_idx` (`agent_add_date`, `agent_delete_date`)
) TYPE=MyISAM;

--
-- Table structure for table 'agent_grouping'
--

CREATE TABLE IF NOT EXISTS agent_grouping (
  agent_grouping_id int(11) unsigned NOT NULL auto_increment,
  cc_group_id int(11) unsigned NOT NULL default '0',
  agent_id int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (agent_grouping_id),
  KEY agent_id (agent_id),
  KEY cc_group_id (cc_group_id)
) TYPE=MyISAM;


--
-- Table structure for table 'agent_port'
--

CREATE TABLE IF NOT EXISTS agent_port (
  agent_port_id int(11) unsigned NOT NULL auto_increment,
  ccserver_name varchar(30) NOT NULL default '',
  agent_id int(11) unsigned NOT NULL default '0',
  port_id int(11) unsigned NOT NULL default '0',
  mac_address varchar(20) default NULL,
  signed_in char(1) NOT NULL default '',
  ip_address varchar(11) default NULL,
  PRIMARY KEY  (agent_port_id),
  KEY server_agent_idx (ccserver_name,agent_id),
  KEY agent_id (agent_id),
  KEY port_signin_idx (port_id, signed_in)
) TYPE=MyISAM;

--
-- Table structure for table 'allowed_number'
--

CREATE TABLE IF NOT EXISTS allowed_number (
  allowed_number_id int(11) NOT NULL auto_increment,
  allowed_phone_number char(50) NOT NULL default '',
  PRIMARY KEY  (allowed_number_id),
  KEY allowed_phone_number (allowed_phone_number)
) TYPE=MyISAM;

--
-- Table structure for table 'call'
--

CREATE TABLE IF NOT EXISTS `call` (
  `call_id` int(11) unsigned NOT NULL auto_increment,
  `ccserver_name` varchar(30) NOT NULL default '',
  `port_number` int(3) unsigned NOT NULL default '0',
  `agent_id` int(11) unsigned default NULL,
  `start_date` varchar(10) NOT NULL default '',
  `start_time` varchar(8) NOT NULL default '',
  `end_date` varchar(10) default NULL,
  `end_time` varchar(8) default NULL,
  `call_duration` int(8) unsigned default NULL,
  `dnis` varchar(24) default NULL,
  `ani` varchar(24) default NULL,
  `extension` varchar(10) default NULL,
  `filepath_id` int(11) unsigned NOT NULL default '0',
  `filename` varchar(60) NOT NULL default '',
  `filetype_id` int(11) unsigned NOT NULL default '0',
  `notes` varchar(255) default NULL,
  `trigger_start` varchar(40) default NULL,
  `trigger_end` varchar(40) default NULL,
  `direction` char(3) default NULL,
  `protocol` varchar(20) default NULL,
  `audio_capture_type` varchar(10) default NULL,
  `conv_status` varchar(10) default NULL,
  `num_fax_pages` int(3) unsigned default NULL,
  `error_text` varchar(150) default NULL,
  `current_agent_id` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`call_id`),
  KEY `mm_index` (`conv_status`,`ccserver_name`,`filepath_id`),
  KEY `ccr_index_1` (`conv_status`,`start_date`,`start_time`,`agent_id`),
  KEY `ccr_index_2` (`conv_status`,`agent_id`,`start_date`,`start_time`,`ccserver_name`),
  KEY `ccr_index_3` (`conv_status`,`start_date`,`start_time`,`ccserver_name`,`agent_id`),
  KEY agent_id (agent_id)
) TYPE=MyISAM;


--
-- Table structure for table `call_score`
--

CREATE TABLE IF NOT EXISTS `call_score` (
  `callscore_id` int(11) NOT NULL auto_increment,
  `call_id` int(11) NOT NULL default '0',
  `agent_id` int(11) NOT NULL default '0',
  `port_id` int(11) NOT NULL default '0',
  `csf_id` int(11) NOT NULL default '0',
  `cs_type` varchar(10) NOT NULL default '',
  `cs_comments` varchar(255) NOT NULL default '',
  `cs_status` varchar(255) NOT NULL default '',
  `cs_reviewer` varchar(255) NOT NULL default '',
  `cs_review_start_date` varchar(10) NOT NULL default '',
  `cs_review_start_time` varchar(8) NOT NULL default '',
  `cs_review_last_date` varchar(10) NOT NULL default '',
  `cs_review_last_time` varchar(8) NOT NULL default '',
  `cs_review_complete_date` varchar(10) NOT NULL default '',
  `cs_review_complete_time` varchar(8) NOT NULL default '',
  `cs_answers_total` float(21,10) NOT NULL default '0.0000000000',
  PRIMARY KEY  (`callscore_id`),
  KEY `call_date_idx` (`cs_review_last_date`, `cs_review_last_time`, `call_id`),
  KEY `call_form_idx` (`csf_id`, `call_id`, `agent_id`),
  KEY `call_id` (`call_id`)
) TYPE=MyISAM;


--
-- Table structure for table `call_score_answer`
--

CREATE TABLE IF NOT EXISTS `call_score_answer` (
  `csa_id` int(11) NOT NULL auto_increment,
  `callscore_id` int(11) NOT NULL default '0',
  `csfq_id` int(11) NOT NULL default '0',
  `csa_result` int(11) NOT NULL default '0',
  `csa_answer` varchar(255) NOT NULL default '',
  `csa_score` float(21,10) NOT NULL default '0.0000000000',
  `csa_comment` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`csa_id`),
  KEY cs_answer_idx (callscore_id, csfq_id)
) Type=MyISAM;



--
-- Table structure for table `call_score_form`
--

CREATE TABLE IF NOT EXISTS `call_score_form` (
  `csf_id` int(11) unsigned NOT NULL auto_increment,
  `csf_creator_uid` int(11) NOT NULL default '0',
  `csf_created_date` varchar(10) NOT NULL default '',
  `csf_created_time` varchar(8) NOT NULL default '',
  `csf_lastupdate_date` varchar(10) NOT NULL default '',
  `csf_lastupdate_time` varchar(8) NOT NULL default '',
  `csf_last_edited_uid` int(11) NOT NULL default '0',
  `csf_form_name` varchar(70) NOT NULL default '',
  `csf_user_def_form_name` varchar(50) NOT NULL default '',
  `csf_user_def_form_desc` varchar(100) NOT NULL default '',
  `csf_active` char(1) NOT NULL default '',
  PRIMARY KEY  (`csf_id`),
  KEY `csf_form_name` (`csf_form_name`),
  KEY `csf_active` (`csf_active`),
  KEY form_active_idx (csf_user_def_form_name, csf_active),
  KEY form_date_idx (csf_lastupdate_date, csf_lastupdate_time)
) Type=MyISAM;


--
-- Table structure for table `call_score_form_question`
--

CREATE TABLE IF NOT EXISTS `call_score_form_question` (
  `csfq_id` int(11) unsigned NOT NULL auto_increment,
  `csf_id` int(11) NOT NULL default '0',
  `csf_q_questnum` int(11) NOT NULL default '0',
  `csf_q_type` varchar(7) NOT NULL default '',
  `csf_q_comment_yn` char(1) NOT NULL default '',
  `csf_q_weighting` int(11) NOT NULL default '0',
  `csf_q_question_text` varchar(100) NOT NULL default '',
  `csf_q_guideline_text` varchar(100) NOT NULL default '',
  `csf_q_range_min` int(10) NOT NULL default '0',
  `csf_q_range_max` int(10) NOT NULL default '0',
  `csf_q_options` varchar(100) NOT NULL default '',
  `csf_q_section` varchar(30) NOT NULL default '',
  `csf_q_active` char(1) NOT NULL default '',
  PRIMARY KEY  (`csfq_id`),
  KEY `csfq_idx` (`csf_id`, `csf_q_active`, `csf_q_section`, `csf_q_questnum`),
  KEY `csf_q_questnum` (`csf_q_questnum`),
  KEY `csf_q_section` (`csf_q_section`)
) Type=MyISAM;



--
-- Table structure for table 'cc_db_host'
--

CREATE TABLE IF NOT EXISTS cc_db_host (
  cc_db_host_id int(11) unsigned NOT NULL auto_increment,
  cc_dbhost_name varchar(30) NOT NULL default '',
  db_host_status int(10) NOT NULL,
  db_host_status_start_date varchar(10) NOT NULL default '',
  db_host_status_start_time varchar(8) NOT NULL default '',
  PRIMARY KEY (cc_db_host_id),
  KEY cc_dbhost_name (cc_dbhost_name),
  KEY db_host_status (db_host_status)
) TYPE=MyISAM;



--
-- Table structure for table 'cc_group'
--

CREATE TABLE IF NOT EXISTS cc_group (
  cc_group_id int(11) unsigned NOT NULL auto_increment,
  cc_group_name char(15) NOT NULL default '',
  cc_group_desc char(50) default NULL,
  PRIMARY KEY  (cc_group_id)
) TYPE=MyISAM;



--
-- Table structure for table 'ccserverconfig'
--

CREATE TABLE IF NOT EXISTS ccserverconfig (
  ccserver_id int(11) unsigned NOT NULL auto_increment,
  ccserver_name char(30) NOT NULL default '',
  ccserver_desc char(30) default NULL,
  menuloop int(1) unsigned NOT NULL default '3',
  dbloop int(1) unsigned NOT NULL default '3',
  play_volume int(1) NOT NULL default '0',
  rec_volume int(1) NOT NULL default '0',
  min_rec_length int(2) unsigned NOT NULL default '0',
  min_prefax_rec_length int(2) unsigned NOT NULL default '0',
  max_radiocall_seconds int(5) unsigned NOT NULL default '3600',
  max_loop_outdial_digits int(2) unsigned NOT NULL default '11',
  inter_digit_seconds_loop int(2) NOT NULL default '5',
  inter_digit_seconds_wink int(2) NOT NULL default '1',
  media_path_root char(100) NOT NULL default '',
  media_local_path_root char(100) NOT NULL default '',
  media_id int(11) unsigned NOT NULL default '0',
  media_size int(10) unsigned NOT NULL default '0',
  media_volume int(11) unsigned NOT NULL default '0',
  volume_desc char(15) default NULL,
  disk_space_alerts char(1) NOT NULL default '',
  disk_alert_frequency int(1) unsigned NOT NULL default '3',
  min_disk_alert int(2) unsigned NOT NULL default '0',
  min_disk_free int(2) unsigned NOT NULL default '0',
  disk_free_stop_record int(2) default '5',
  automated_stop_record_yn char(1) default 'N',
  media_space_delete char(1) NOT NULL default 'N',
  media_delete_days int(11) unsigned NOT NULL default '0',
  media_date_delete char(1) NOT NULL default 'N',
  audio_filetype_id int(11) unsigned NOT NULL default '0',
  faxaudio_filetype_id int(11) unsigned NOT NULL default '0',
  admin_net_alert char(1) NOT NULL default 'N',
  admin_email_alert char(1) NOT NULL default 'N',
  admin_email char(120) default NULL,
  admin_netname char(30) default NULL,
  email_server char(40) default NULL,
  email_send_port int(10) default '25',
  sender_email char(40) default NULL,
  sender_password char(40) default NULL,
  email_from_address char(40) default NULL,
  email_full_auth char(1) default 'N',
  agent_sign_in char(1) NOT NULL default 'N',
  analog_ani_mask char(255) default NULL,
  wink_dnis_mask char(255) default NULL,
  `no_cc_alert_schedule_id` int(11) NOT NULL default '0',
  `no_cc_alert_min_times` int(10) NOT NULL default '0',
  `no_cc_alert_count_window` int(2) NOT NULL default '0',
  `ccserver_version` varchar(10) default NULL,
  `dbhost_name` varchar(30) default NULL,
  `db_host_status` int(10) NOT NULL default '1',
  `simple_permissions_yn` varchar(1) NOT NULL default 'N',
  PRIMARY KEY  (ccserver_id),
  KEY ccserver_name (ccserver_name)
) TYPE=MyISAM;

--
-- Table structure for table 'disallowed_number'
--

CREATE TABLE IF NOT EXISTS disallowed_number (
  disallowed_number_id int(11) NOT NULL auto_increment,
  disallowed_phone_number char(50) NOT NULL default '',
  PRIMARY KEY  (disallowed_number_id)
) TYPE=MyISAM;

--
-- Table structure for table 'filepath'
--

CREATE TABLE IF NOT EXISTS filepath (
  filepath_id int(11) unsigned NOT NULL auto_increment,
  ccserver_name char(30) NOT NULL default '',
  dir_loc char(200) NOT NULL default '',
  local_dir_loc char(200) NOT NULL default '',
  volume_num int(11) unsigned NOT NULL default '0',
  volume_desc char(15) default NULL,
  status char(20) NOT NULL default '',
  media_type char(30) NOT NULL default '',
  max_volume_size int(10) unsigned NOT NULL default '0',
  create_date char(10) default NULL,
  create_time char(8) default NULL,
  close_date char(10) default NULL,
  close_time char(8) default NULL,
  archive_date char(10) default NULL,
  archive_time char(8) default NULL,
  PRIMARY KEY  (filepath_id),
  KEY status_date_idx (status, ccserver_name, archive_date, archive_time),
  KEY archive_date_idx (archive_date, archive_time),
  KEY create_date_idx (create_date, create_time),
  KEY dir_loc (dir_loc)
) TYPE=MyISAM;

--
-- Table structure for table 'filetype'
--

CREATE TABLE IF NOT EXISTS filetype (
  filetype_id int(11) unsigned NOT NULL auto_increment,
  type_description varchar(30) NOT NULL default '',
  type_extension char(3) default NULL,
  type_supported char(1) NOT NULL default 'N',
  type_mb_hour double(8,2) unsigned NOT NULL default '0.00',
  PRIMARY KEY  (filetype_id)
) TYPE=MyISAM;

--
-- Dumping data for table 'filetype'
--

INSERT INTO filetype VALUES (1,'Wav 16b PCM','WAV','Y',57.60);
INSERT INTO filetype VALUES (2,'Wav TrueVoice','','N',3.80);
INSERT INTO filetype VALUES (3,'GSM 6.10','GSM','Y',5.85);
INSERT INTO filetype VALUES (4,'Dialogic VOX','VOX','N',14.40);
INSERT INTO filetype VALUES (5,'G.729a','','N',3.60);

--
-- Table structure for table 'port'
--

CREATE TABLE IF NOT EXISTS port (
  port_id int(11) unsigned NOT NULL auto_increment,
  ccserver_name char(30) NOT NULL default '',
  port_number int(3) unsigned NOT NULL default '0',
  board_number int(2) unsigned default NULL,
  board_id int(11) unsigned default NULL,
  cc_protocol char(20) NOT NULL default '',
  phone_num char(24) default NULL,
  extension_num char(10) default NULL,
  rule_code char(6) NOT NULL default 'ALWAYS',
  schedule_id int(11) unsigned default '0',
  PRIMARY KEY  (port_id),
  KEY server_port_idx (ccserver_name, port_number),
  KEY port_number (port_number),
  KEY server_sched_idx (ccserver_name, schedule_id)
) TYPE=MyISAM;


--
-- Table structure for table 'port_activity'
--

CREATE TABLE IF NOT EXISTS port_activity (
  port_activity_id int(11) NOT NULL auto_increment,
  ccserver_name char(30) NOT NULL default '',
  port_id int(3) NOT NULL default '0',
  activity_status char(10) NOT NULL default '',
  agent_id int(11) NOT NULL default '0',
  start_date char(10) default NULL,
  start_time char(8) default NULL,
  dnis char(24) default NULL,
  ani char(24) default NULL,
  extension char(10) default NULL,
  notes char(255) default NULL,
  trigger_start char(40) default NULL,
  direction char(3) default NULL,
  protocol char(20) default NULL,
  audio_capture_type char(10) default NULL,
  PRIMARY KEY  (port_activity_id),
  KEY server_port_idx (ccserver_name, port_id, activity_status),
  KEY agent_id (agent_id),
  KEY port_id (port_id)
) TYPE=MyISAM;


--
-- Table structure for table 'port_schedule'
--

CREATE TABLE IF NOT EXISTS port_schedule (
  port_id int(10) unsigned NOT NULL auto_increment,
  start_time char(8) NOT NULL default '00:00:00',
  end_time char(8) NOT NULL default '24:00:00',
  days_of_week char(30) default NULL,
  PRIMARY KEY  (port_id)
) TYPE=MyISAM;


--
-- Table structure for table 'schedule'
--

CREATE TABLE IF NOT EXISTS schedule (
  schedule_id int(11) unsigned NOT NULL auto_increment,
  schedule_desc char(30) NOT NULL default '',
  PRIMARY KEY  (schedule_id)
) TYPE=MyISAM;


--
-- Table structure for table 'schedule_detail'
--

CREATE TABLE IF NOT EXISTS schedule_detail (
  schedule_detail_id int(11) unsigned NOT NULL auto_increment,
  schedule_id int(11) unsigned NOT NULL default '0',
  start_time char(8) NOT NULL default '00:00:00',
  end_time char(8) NOT NULL default '24:00:00',
  days_of_week char(30) NOT NULL default '',
  PRIMARY KEY  (schedule_detail_id),
  KEY schedule_id (schedule_id)
) TYPE=MyISAM;

--
-- Table structure for table 'storage_media'
--

CREATE TABLE IF NOT EXISTS storage_media (
  media_id int(11) unsigned NOT NULL auto_increment,
  media_type char(30) NOT NULL default '',
  media_size int(10) unsigned NOT NULL default '0',
  media_supported char(1) NOT NULL default 'N',
  PRIMARY KEY  (media_id),
  KEY media_supported (media_supported)
) TYPE=MyISAM;

--
-- Dumping data for table 'storage_media'
--

INSERT INTO storage_media VALUES (1,'Iomega Zip Disk',100,'N');
INSERT INTO storage_media VALUES (2,'SuperDisk LS Disk',120,'N');
INSERT INTO storage_media VALUES (3,'SuperDisk LS Disk',240,'N');
INSERT INTO storage_media VALUES (4,'Iomega Zip Disk',250,'N');
INSERT INTO storage_media VALUES (5,'Syquest Disk',270,'N');
INSERT INTO storage_media VALUES (6,'CD Read/Write',650,'Y');
INSERT INTO storage_media VALUES (7,'Iomega Zip Disk',750,'N');
INSERT INTO storage_media VALUES (8,'Iomega Jaz drive',1000,'N');
INSERT INTO storage_media VALUES (9,'Iomega Jaz drive',2000,'N');
INSERT INTO storage_media VALUES (10,'DVD Read/Write',4300,'Y');
INSERT INTO storage_media VALUES (11,'DVD Read/Write',4700,'Y');
INSERT INTO storage_media VALUES (12,'DVD Read/Write',5200,'Y');
INSERT INTO storage_media VALUES (13,'Tape DAT/DDS3',24000,'N');
INSERT INTO storage_media VALUES (14,'Tape DLT',70000,'N');
INSERT INTO storage_media VALUES (15,'Custom Size',0,'Y');

-- Set up MySQL CallCapture system user rights/permissions
-- First, make sure we have a user we can use on the localhost
GRANT ALL ON *.* TO 'root'@'localhost';
GRANT GRANT OPTION ON *.* TO 'root'@'localhost';

-- Next, don't allow just anyone from anywhere to administer the system
-- REVOKE ALL ON *.* FROM 'root'@'%';		-- appears to not be a default anymore
-- REVOKE GRANT OPTION ON *.* FROM 'root'@'%';	-- appears to not be a default anymore
-- REVOKE ALL ON *.* FROM ''@'localhost';	-- appears to not be a default anymore
-- REVOKE GRANT OPTION ON *.* FROM ''@'localhost';	-- appears to not be a default anymore

-- Create a new user - cc_user - for client systems
-- that can only read and update existing data
CREATE USER 'cc_user';
GRANT SELECT, UPDATE ON callcapture.* TO 'cc_user'@'%';
GRANT INSERT ON callcapture.call_score TO 'cc_user'@'%';
GRANT INSERT ON callcapture.call_score_answer TO 'cc_user'@'%';
GRANT INSERT ON callcapture.call_score_form TO 'cc_user'@'%';
GRANT INSERT ON callcapture.call_score_form_question TO 'cc_user'@'%';
flush privileges;
